Bug 470491 - Errors mounting Sandisk Cruzer U3 8Gb
Errors mounting Sandisk Cruzer U3 8Gb
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2008-11-07 07:19 EST by Gianluca Sforna
Modified: 2009-12-18 01:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:46:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log file upon attaching drive (16.86 KB, text/plain)
2008-11-07 07:19 EST, Gianluca Sforna
no flags Details

  None (edit)
Description Gianluca Sforna 2008-11-07 07:19:55 EST
Created attachment 322852 [details]
Log file upon attaching drive

Description of problem:
After attaching to my laptop an USB flash drive the kernel log shows some errors (see attachment for full log).

Afterwards, I'm seemingly able to use it, but running live-usb-creator triggers the following error in the last stage (preparing MBR):

kernel: mmove[13296]: segfault at 0 ip 00000000004087cc sp 00007fff09f4ff68 error 4 in mtools[400000+27000]

If I attach it to an older laptop (Fedora 5 running kernel 2.6.20) there are no errors in the log.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Pete Zaitcev 2008-11-21 00:26:18 EST
I suspect it may be related to this:
Notice the infinite retries for the CD-ROM part of the U3 key in the
log that Gianluca attached.
Comment 2 Gianluca Sforna 2008-11-21 06:30:52 EST
In this case, it seems we are talking about:


and it seems they found and fixed the issue. 
If someone can (scratch) build a kernel with the patch from upstream commit 8010e06cc90367b4d3fba3b0ec3ced32360ac890 applied I'll happily test it.
Comment 3 Bug Zapper 2008-11-25 23:58:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 4 Pete Zaitcev 2009-01-16 16:25:50 EST
I think the corret changeset is:
 but it needs fixups for it:

I think it wasn't fixed in -stable, but just in case:
does it still fail on kernel-
Comment 5 Gianluca Sforna 2009-01-22 10:02:25 EST
Yes, just tested on the requested kernel and I still got:

kernel: mmove[7546]: segfault at 0 ip 00000000004087bc sp 00007fff4700a008 error 4 in mtools[400000+27000]
Comment 6 Chuck Ebbert 2009-04-15 16:43:47 EDT
Please try kernel- from the updates-testing repository.
Comment 7 Gianluca Sforna 2009-04-16 05:51:02 EDT
Ok. This finally fixes the issue. Thank you very much
Comment 8 Bug Zapper 2009-11-18 03:47:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-12-18 01:46:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.